Project

General

Profile

Bug #39533

Format Plugins IP address field in new UI to make it obvious that interface and mask are also required

Added by Greg Fitzgerald 9 months ago. Updated 9 months ago.

Status:
Done
Priority:
No priority
Assignee:
Lola Yang
Category:
GUI (new)
Target version:
Seen in:
Severity:
Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

I tried to use the plex media server plugin (not plexpass) and it's not working. I manually specified a ip i know is free on my network and i'm getting the following error during the install process.

{repo} could not be reached, please check your DNS 
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
iocage.fetch(
*options)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
props, accept_license=accept, official=official)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 689, in fetch_plugin_index
props, 0, accept_license)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 124, in fetch_plugin
_conf, pkg, props, repo_dir)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 461, in fetch_plugin_install_packages
uuid, jaildir, _conf, repo=conf["packagesite"], site=repo_name)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_create.py", line 556, in create_install_packages
silent=self.silent)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 82, in logit
_callback({"level": level, "message": msg}, exit_on_error)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 61, in callback
raise RuntimeError(message)
RuntimeError: {repo} could not be reached, please check your DNS
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
job,
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
return self.gen.throw(type, value, traceback)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError: {repo} could not be reached, please check your DNS

I have ssh'd into my freenas machine and I can ping outside my network. So not sure why i'm seeing dns errors.

The jail appears to have been created after this error, I can shell into it. Plex is not installed and running though.


Related issues

Has duplicate FreeNAS - Feature #36483: Add fields to enter interface or netmask when installing a pluginClosed
Has duplicate FreeNAS - Bug #36463: Unable to communicate with iocage jail created with static ipClosed

History

#1 Updated by Greg Fitzgerald 9 months ago

  • File debug-freenas-20180725113117.txz added
  • Private changed from No to Yes

#2 Updated by Dru Lavigne 9 months ago

  • Is duplicate of Bug #37870: Plugins will not install fail with {repo} could not be reached, please check your DNS added

#3 Updated by Dru Lavigne 9 months ago

  • File deleted (debug-freenas-20180725113117.txz)

#4 Updated by Dru Lavigne 9 months ago

  • Status changed from Unscreened to Closed
  • Target version changed from Backlog to N/A
  • Private changed from Yes to No
  • Reason for Closing set to Duplicate Issue

Greg: please follow the progress of the duplicate bug for the resolution of this issue.

#5 Updated by William Grzybowski 9 months ago

  • Category changed from Services to Middleware
  • Status changed from Closed to Unscreened
  • Assignee changed from Release Council to Brandon Schneider
  • Severity changed from New to Medium
  • Reason for Closing deleted (Duplicate Issue)

I dont think its the same issue. He is using his own IP instead of DHCP.

Brandon, can you investigate this, please?

#6 Updated by Dru Lavigne 9 months ago

  • Target version changed from N/A to Backlog

#7 Updated by William Grzybowski 9 months ago

  • Target version changed from Backlog to 11.2-BETA3

#8 Updated by Brandon Schneider 9 months ago

  • Status changed from Unscreened to Not Started

#9 Updated by Jurgen Segaert 9 months ago

Hi Greg: Can you provide the output of:

iocage list -l

so that we can check what you entered in the IPv4 address field. Note that the documentation on this field in 11.2-BETA1 is somewhat lacking. If you only enter an IP address in this field, you'll get a traceback like the one you got.

What the field really expects is: <interface>|<IP address><subnet>
So instead of just entering just e.g. 192.168.0.100, you need to enter something like em0|192.168.0.100/24

#10 Updated by William Grzybowski 9 months ago

  • Is duplicate of deleted (Bug #37870: Plugins will not install fail with {repo} could not be reached, please check your DNS )

#11 Updated by Dru Lavigne 9 months ago

  • Subject changed from plex media server plugin not working to Format Plugins IP address field in new UI to make it obvious that interface and mask are also required
  • Category changed from Middleware to GUI (new)
  • Assignee changed from Brandon Schneider to Lola Yang

Lola: please format the IPv4 Plugins field similarly to the 3 fields used in Jails (that let the user pick the interface, type the IP, and select the mask).

#12 Updated by Dru Lavigne 9 months ago

  • Target version changed from 11.2-BETA3 to 11.2-BETA2

#13 Updated by Lola Yang 9 months ago

  • Status changed from Not Started to In Progress

#14 Updated by Dru Lavigne 9 months ago

  • Status changed from In Progress to Ready for Testing
  • Needs Merging changed from Yes to No

#15 Updated by Bonnie Follweiler 9 months ago

  • Status changed from Ready for Testing to Passed Testing
  • Needs QA changed from Yes to No

Test Passed in FreeNAS-11.2-MASTER-201807270859
(Build Date: Jul 27, 2018 12:10)

#16 Updated by Dru Lavigne 9 months ago

  • Status changed from Passed Testing to Done
  • Needs Doc changed from Yes to No

#17 Updated by Dru Lavigne 6 months ago

  • Has duplicate Feature #36483: Add fields to enter interface or netmask when installing a plugin added

#18 Updated by Dru Lavigne 6 months ago

  • Has duplicate Bug #36463: Unable to communicate with iocage jail created with static ip added

Also available in: Atom PDF